#ifndef LED_SEGMENT
#define LED_SEGMENT

#include <stdint.h>

enum LED_Effect
{
    STATIC = 0,
    BLINK = 1,
    PULSE = 2,
    WALK = 3,
    FILL = 4,
    ROTATE = 5,
    RAINBOW = 6
};

typedef struct LED_Segments
{
    uint8_t segment_id;
    uint8_t color;
    enum LED_Effect effect;
} LED_Segment;


#endif